Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class IssuingDistributionPoint

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.IssuingDistributionPoint

All Implemented Interfaces:
  DEREncodable

public class IssuingDistributionPoint
extends ASN1Encodable

IssuingDistributionPoint ::= SEQUENCE { distributionPoint [0] DistributionPointName OPTIONAL, onlyContainsUserCerts [1] BOOLEAN DEFAULT FALSE, onlyContainsCACerts [2] BOOLEAN DEFAULT FALSE, onlySomeReasons [3] ReasonFlags OPTIONAL, indirectCRL [4] BOOLEAN DEFAULT FALSE, onlyContainsAttributeCerts [5] BOOLEAN DEFAULT FALSE }

Constructor Summary
`IssuingDistributionPoint(ASN1Sequence seq)` Constructor from ASN1Sequence

Method Summary
`static IssuingDistributionPoint` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static IssuingDistributionPoint` | `getInstance(java.lang.Object obj)`
`boolean` | `isIndirectCRL()`
`boolean` | `onlyContainsAttributeCerts()`
`boolean` | `onlyContainsCACerts()`
`boolean` | `onlyContainsUserCerts()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IssuingDistributionPoint

    public IssuingDistributionPoint(ASN1Sequence seq)

  Constructor from ASN1Sequence

Method Detail

### getInstance

    public static IssuingDistributionPoint getInstance(ASN1TaggedObject obj,
                                                       boolean explicit)

### getInstance

    public static IssuingDistributionPoint getInstance(java.lang.Object obj)

### onlyContainsUserCerts

    public boolean onlyContainsUserCerts()

### onlyContainsCACerts

    public boolean onlyContainsCACerts()

### isIndirectCRL

    public boolean isIndirectCRL()

### onlyContainsAttributeCerts

    public boolean onlyContainsAttributeCerts()

### toASN1Object

    public DERObject toASN1Object()

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD